{ ... }:

{
  systemd.services.limbo = {
    description = "Minecraft Limbo Server";
    after = [ "network-online.target" ];
    wants = [ "network-online.target" ];
    wantedBy = [ "multi-user.target" ];

    serviceConfig = {
      Type = "simple";
      User = "imnyang";
      Group = "users";
      WorkingDirectory = "/home/imnyang/minecraft/limbo";
      ExecStart = "/home/imnyang/minecraft/limbo/pico_limbo --config /home/imnyang/minecraft/limbo/server.toml";
      Restart = "always";
      RestartSec = 5;
    };
  };
}
